//Title: Skeleton Main Window Class
//Platform: BeOS 5
//Version: 2001.12.18
//Description:
//	A class that creates the application's "main" window.
//	This class inherits from BWindow, and runs a message loop for the window.

//Copyright (C) 2001, 2002 Kevin H. Patterson
//Available for use under the terms of the BSD license agreement:
//See the associated file "License.txt" for details.

#ifndef _clsMainWindow_h
#define _clsMainWindow_h

	#include "globals.h"

	#include <Application.h>
	#include <View.h>
	#include <Window.h>
	#include <Menu.h>
	#include <MenuItem.h>
	#include <MenuField.h>
	#include <PopUpMenu.h>
	#include <Button.h>
	#include <String.h>

	#include "DeviceManager.h"
	#include "GraphicsDevice.h"

	class clsMainWindow
	:
		public BWindow
	{
	public:
		clsMainWindow(const char *uWindowTitle);
		~clsMainWindow();
		virtual void MessageReceived(BMessage *Message);
		virtual bool QuitRequested();
	private:
		BMenuField * Device;
		BPopUpMenu * DeviceItems;
		BMenuField * Mode;
		BPopUpMenu * ModeItems;
		BButton * ApplyButton;
		
		int32 SelectedDevice;
		int32 SelectedMode;
		
		GraphicsDevice * iGraphicsDevice;
	};

#endif
